Skip to Content

List WhatsApp setup links

Returns setup links newest first, by namespace and status when named. Request: GET /v1/whatsapp/setup-links. Scope: whatsappAccounts:read.

GET
/v1/whatsapp/setup-links

Returns setup links newest first, by namespace and status when named.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

limit?|null
cursor?string
namespaceId?string
Match^ns_[0-9a-hjkmnp-tv-z]{16,24}$
status?string
Value in"pending""completed""revoked""expired"

Response Body

WhatsAppSetupLinkPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.whatsappSetupLinks.list({});
Example Response
{
  "items": [
    {
      "id": "string",
      "organizationId": "string",
      "namespaceId": "string",
      "status": "pending",
      "redirectUrl": "string",
      "metadata": {
        "property1": "string",
        "property2": "string"
      },
      "expiresAt": "string",
      "businessAccountId": "string",
      "completedAt": "string",
      "revokedAt": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "nextCursor": "string"
}

Related documentation